summaryrefslogtreecommitdiff
path: root/test/librechroot-test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/librechroot-test.sh')
-rw-r--r--test/librechroot-test.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/test/librechroot-test.sh b/test/librechroot-test.sh
index 90d0adc..8efba67 100644
--- a/test/librechroot-test.sh
+++ b/test/librechroot-test.sh
@@ -31,6 +31,15 @@ it_cleans_the_local_repo_correctly() {
# TODO: inspect /repo/* more
}
+it_respects_exit_status_if_out_isnt_a_tty() (
+ require network sudo || return 0
+ set -o pipefail
+ libremessages msg 'Creating a chroot, may take a few minutes' &>/dev/tty
+ r=0
+ { testsudo librechroot run exit 3 | cat; } || r=$?
+ [[ $r == 3 ]]
+)
+
it_displays_help_as_normal_user() {
rm -rf "$XDG_CONFIG_HOME"
LANG=C librechroot help >$tmpdir/stdout 2>$tmpdir/stderr